API reference
Majors
GET
bearerheader
AuthorizationBearer <token>OK
application/json- response
majors*array<>curl -X GET 'https://engine.keko.run/v1/majors'Example Response
{ "majors": [ { "id": "string", "name": "string", "portrait": { "ant": "builder", "background": "sand" }, "projectPaths": [ "string" ], "device": "string", "model": { "provider": "string", "id": "string" }, "maxCrew": 0, "createdAt": 0, "archived": true, "pinned": true, "state": "setting-up", "statusLine": "string", "lastActivityAt": 0, "cost": 0, "needsYou": true, "question": "string", "rules": [ { "id": "string", "kind": "allow", "text": "string", "label": "string" } ], "notes": "string", "upNext": [ { "id": "string", "projectPath": "string", "title": "string", "instructions": "string", "addedAt": 0, "addedBy": "major" } ], "userId": "string", "unread": true } ]}POST
bearerheader
AuthorizationBearer <token>application/json- body
name*stringLength
1 <= lengthportrait?|Default
nulldeviceId?stringprojectPaths*array<string>Items
1 <= itemsmodel*firstMessage*stringLength
1 <= lengthmaxCrew?integerRange
0 < value <= 9007199254740991OK
application/json- response
major*curl -X POST 'https://engine.keko.run/v1/majors' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "projectPaths": [ "string" ], "model": { "provider": "string", "id": "string" }, "firstMessage": "string"}'Example Response
{ "major": { "id": "string", "name": "string", "portrait": { "ant": "builder", "background": "sand" }, "projectPaths": [ "string" ], "device": "string", "model": { "provider": "string", "id": "string" }, "maxCrew": 0, "createdAt": 0, "archived": true, "pinned": true, "state": "setting-up", "statusLine": "string", "lastActivityAt": 0, "cost": 0, "needsYou": true, "question": "string", "rules": [ { "id": "string", "kind": "allow", "text": "string", "label": "string" } ], "notes": "string", "upNext": [ { "id": "string", "projectPath": "string", "title": "string", "instructions": "string", "addedAt": 0, "addedBy": "major" } ], "userId": "string", "unread": true }}GET
bearerheader
AuthorizationBearer <token>majorId*stringOK
application/json- response
major*curl -X GET 'https://engine.keko.run/v1/majors/string'Example Response
{ "major": { "id": "string", "name": "string", "portrait": { "ant": "builder", "background": "sand" }, "projectPaths": [ "string" ], "device": "string", "model": { "provider": "string", "id": "string" }, "maxCrew": 0, "createdAt": 0, "archived": true, "pinned": true, "state": "setting-up", "statusLine": "string", "lastActivityAt": 0, "cost": 0, "needsYou": true, "question": "string", "rules": [ { "id": "string", "kind": "allow", "text": "string", "label": "string" } ], "notes": "string", "upNext": [ { "id": "string", "projectPath": "string", "title": "string", "instructions": "string", "addedAt": 0, "addedBy": "major" } ], "userId": "string", "unread": true }}PATCH
bearerheader
AuthorizationBearer <token>majorId*stringapplication/json- body
name?stringportrait?|Default
nullarchived?booleanpinned?booleanmaxCrew?integerRange
0 < value <= 9007199254740991model?projectPaths?array<string>OK
application/json- response
major*curl -X PATCH 'https://engine.keko.run/v1/majors/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "major": { "id": "string", "name": "string", "portrait": { "ant": "builder", "background": "sand" }, "projectPaths": [ "string" ], "device": "string", "model": { "provider": "string", "id": "string" }, "maxCrew": 0, "createdAt": 0, "archived": true, "pinned": true, "state": "setting-up", "statusLine": "string", "lastActivityAt": 0, "cost": 0, "needsYou": true, "question": "string", "rules": [ { "id": "string", "kind": "allow", "text": "string", "label": "string" } ], "notes": "string", "upNext": [ { "id": "string", "projectPath": "string", "title": "string", "instructions": "string", "addedAt": 0, "addedBy": "major" } ], "userId": "string", "unread": true }}POST
bearerheader
AuthorizationBearer <token>majorId*stringapplication/json- body
text*stringDefault
""mode?|nullrequestId?stringallowSecret?booleanOK
application/json- response
submissionId*stringcurl -X POST 'https://engine.keko.run/v1/majors/string/messages' \ -H 'Content-Type: application/json' \ -d '{ "text": ""}'Example Response
{ "submissionId": "string"}GET
bearerheader
AuthorizationBearer <token>majorId*stringOK
application/json- response
threads*array<>curl -X GET 'https://engine.keko.run/v1/majors/string/crew'Example Response
{ "threads": [ { "id": "string", "title": "string", "projectPath": "string", "worktreePath": "string", "branch": "string", "baseBranch": "string", "device": "string", "model": { "provider": "string", "id": "string" }, "createdAt": 0, "state": "setting-up", "cost": 0, "setup": { "status": "running", "problems": [ "string" ] }, "deviceName": "string", "deviceOnline": true, "machineId": "string", "machineState": "creating", "projectId": "string", "needsYou": true, "question": "string", "statusLine": "string", "waitingForDevice": { "deviceId": "string", "since": 0 }, "waitingForCloud": { "message": "string", "until": 0, "firstMessage": "string", "failed": "string", "starting": true }, "request": { "callId": "string", "title": "string", "command": true, "ask": { "options": [ "string" ] } }, "majorId": "string", "userId": "string", "unread": true } ]}POST
bearerheader
AuthorizationBearer <token>majorId*stringapplication/json- body
text*stringLength
1 <= lengthkind?stringValue in
"allow""ask""instruction"OK
application/json- response
major*curl -X POST 'https://engine.keko.run/v1/majors/string/rules' \ -H 'Content-Type: application/json' \ -d '{ "text": "string"}'Example Response
{ "major": { "id": "string", "name": "string", "portrait": { "ant": "builder", "background": "sand" }, "projectPaths": [ "string" ], "device": "string", "model": { "provider": "string", "id": "string" }, "maxCrew": 0, "createdAt": 0, "archived": true, "pinned": true, "state": "setting-up", "statusLine": "string", "lastActivityAt": 0, "cost": 0, "needsYou": true, "question": "string", "rules": [ { "id": "string", "kind": "allow", "text": "string", "label": "string" } ], "notes": "string", "upNext": [ { "id": "string", "projectPath": "string", "title": "string", "instructions": "string", "addedAt": 0, "addedBy": "major" } ], "userId": "string", "unread": true }}DELETE
bearerheader
AuthorizationBearer <token>majorId*stringruleId*stringOK
application/json- response
major*curl -X DELETE 'https://engine.keko.run/v1/majors/string/rules/string'Example Response
{ "major": { "id": "string", "name": "string", "portrait": { "ant": "builder", "background": "sand" }, "projectPaths": [ "string" ], "device": "string", "model": { "provider": "string", "id": "string" }, "maxCrew": 0, "createdAt": 0, "archived": true, "pinned": true, "state": "setting-up", "statusLine": "string", "lastActivityAt": 0, "cost": 0, "needsYou": true, "question": "string", "rules": [ { "id": "string", "kind": "allow", "text": "string", "label": "string" } ], "notes": "string", "upNext": [ { "id": "string", "projectPath": "string", "title": "string", "instructions": "string", "addedAt": 0, "addedBy": "major" } ], "userId": "string", "unread": true }}PUT
bearerheader
AuthorizationBearer <token>majorId*stringapplication/json- body
notes*stringOK
application/json- response
major*curl -X PUT 'https://engine.keko.run/v1/majors/string/notes' \ -H 'Content-Type: application/json' \ -d '{ "notes": "string"}'Example Response
{ "major": { "id": "string", "name": "string", "portrait": { "ant": "builder", "background": "sand" }, "projectPaths": [ "string" ], "device": "string", "model": { "provider": "string", "id": "string" }, "maxCrew": 0, "createdAt": 0, "archived": true, "pinned": true, "state": "setting-up", "statusLine": "string", "lastActivityAt": 0, "cost": 0, "needsYou": true, "question": "string", "rules": [ { "id": "string", "kind": "allow", "text": "string", "label": "string" } ], "notes": "string", "upNext": [ { "id": "string", "projectPath": "string", "title": "string", "instructions": "string", "addedAt": 0, "addedBy": "major" } ], "userId": "string", "unread": true }}